## popplerkit.framework 0.0.20051227svn

=== debian/changelog ===
popplerkit.framework (0.0.20051227svn-17) unstable; urgency=medium

  * debian/rules: Rewrite for dh.
  * debian/control (Build-Depends): Remove cdbs (Closes: #1115095).
    Switch to debhelper-compat; set compat level to 13.
  * debian/compat: Delete.
  * debian/libpopplerkit-dev.install: New file.
  * debian/libpopplerkit0.install: Likewise.
  * debian/libpopplerkit0.links: Likewise.  Now that we can ensure that
    dh_gnustep runs before dh_link we can use declarative format for the
    fonts' symlinks instead of creating them in a debian/rules loop.
  * debian/patches/compiler-warnings.patch: New.
  * debian/watch: Rewrite for version 5.
  * debian/copyright: Replace FSF's address with the canonical URL.
    Replace gsfonts with fonts-urw-base35.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 14 Sep 2025 11:54:01 +0300

popplerkit.framework (0.0.20051227svn-16) unstable; urgency=medium

  * debian/patches/poppler2502.patch: Cope with poppler/25.02 GlobalParams
    change which leads to abort for all rdeps as nullptr is no longer
    accepted (Closes: #1101320).  Also use the correct variable
    bindings_CPPFLAGS instead of bindings_CCFLAGS throughout the makefile
    when defining preprocessor options.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 25 Mar 2025 18:11:02 +0200

popplerkit.framework (0.0.20051227svn-15) unstable; urgency=medium

  * Upload to unstable now that the poppler transition is over.
  * Mark 6 patches as Forwarded: not-needed; there's no upstream.
  * debian/control (Standards-Version): Bump to 4.7.2; no changes needed.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 13 Mar 2025 20:59:34 +0200

popplerkit.framework (0.0.20051227svn-14) experimental; urgency=medium

  [ Helmut Grohne ]
  * debian/patches/cross.patch: Fix FTCBFS: Use the host architecture
    pkg-config (Closes: #1093994).

  [ Yavor Doganov ]
  * Run wrap-and-sort -ast.
  * debian/control (Build-Depends): Require libgnustep-gui-dev (>= 0.32)
    to assist the gworkspace transition.  Remove gnustep-make; implied.
    Replace libfontconfig1-dev with libfontconfig-dev, libfreetype6-dev
    with libfreetype-dev and pkg-config with pkgconf.  Add dpkg-build-api.
    (Multi-Arch): Mark both packages as M-A: same.
    (Standards-Version): Bump to 4.7.0; no changes needed.
  * debian/rules (LDFLAGS): Move to...
    (DEB_LDFLAGS_MAINT_APPEND): ...and remove -Wl,--as-needed.
    (DEB_MAKE_EXTRA_ARGS): Set OBJCFLAGS to OBJCFLACS, CCFLAGS to CXXFLAGS
    and reset CFLAGS to eliminate legitimate compiler warnings.
  * debian/patches/build_poppler71.patch: Mark as Forwarded: not-needed as
    there's no upstream for this package.
  * debian/patches/poppler2206.patch: Likewise.
  * debian/patches/build_poppler107.patch: Add DEP-3 headers.
  * debian/copyright: Add comment that the source is available only in
    Debian.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Sat, 15 Feb 2025 09:38:28 +0200

popplerkit.framework (0.0.20051227svn-13) unstable; urgency=medium

  * Team upload
  * Add patch to fix build with poppler >= 24.04

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jun 2024 20:28:30 -0400

popplerkit.framework (0.0.20051227svn-12) unstable; urgency=medium

  * debian/rules (fonts): New variable.
    (binary-post-install/libpopplerkit0): Restore target and create
    symlinks in a shell loop using the new hardcoded variable above.  This
    has to be done after gsdh_gnustep is being run but since it is
    executed after dh_link, using a .links file leads to unintented move
    of the .plist file from /usr/share to /usr/lib (Closes: #1035984).
    Thanks, Andreas Beckmann!
  * debian/libpopplerkit0.links: Delete; it was a bad idea that resulted
    in yet another RC bug.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 16 May 2023 19:52:53 +0300

popplerkit.framework (0.0.20051227svn-11) unstable; urgency=medium

  * debian/patches/debian-fonts.patch: New; use new font names from the
    fonts-urw-base35 package.
  * debian/libpopplerkit0.links: New file; create symlinks for the font
    files from fonts-urw-base35 (Closes: #1035862).
  * debian/rules (binary-post-install/libpopplerkit0): Remove; symlinks
    are now handled via .links.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 11 May 2023 19:49:38 +0300

popplerkit.framework (0.0.20051227svn-10) unstable; urgency=medium

  * Team upload
  * Depend on fonts-urwbase35 instead of transitional gsfonts (Closes: #1020346)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 12:59:25 -0400

popplerkit.framework (0.0.20051227svn-9) unstable; urgency=medium

  * Team upload

  [ Nathan Pratta Teodosio ]
  * Add patch to fix build against poppler 22.06 (Closes: #1012857)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Aug 2022 10:03:39 -0400

popplerkit.framework (0.0.20051227svn-8.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Sebastien Bacher ]
  * Add patch to build with popper.pc; the splash file has been deprecated

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Feb 2022 09:46:16 -0500

popplerkit.framework (0.0.20051227svn-8.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Peter Michael Green ]
  * Fix build with poppler 0.85 (Closes: #968719)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 20 Sep 2020 10:30:28 +0200

popplerkit.framework (0.0.20051227svn-8) unstable; urgency=medium

  [ Sebastien Bacher ]
  * Add build_popper71.patch to fix build with poppler 0.71 (MR: !1).

  [ Yavor Doganov ]
  * debian/compat: Bump to 10.
  * debian/control (Build-Depends): Require debhelper >= 10.  Add
    gnustep-make (>= 2.7.0-4) for "noopt" and "terse" support.
    (Vcs-Git, Vcs-Browser): Update following the migration to Salsa.
    (Standards-Version): Claim compliance with 4.2.1 as of this release.
  * debian/rules:
    + Enable all hardening.
    + Support "noopt" and "terse" in DEB_BUILD_OPTIONS.
    + Don't set DEB_GS_AUTO_LINTIAN_OVERRIDES; deprecated.
  * debian/watch: Add a fake one so that uscan doesn't return error.

