=== debian/control ===
Source: popplerkit.framework
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 libfontconfig-dev,
 libfreetype-dev,
 libgnustep-gui-dev (>= 0.32),
 libpoppler-private-dev,
 pkgconf,
Vcs-Git: https://salsa.debian.org/gnustep-team/popplerkit.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/popplerkit
Standards-Version: 4.7.2
Section: libs

Package: libpopplerkit-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libgnustep-gui-dev,
 libpopplerkit0 (= ${binary:Version}),
 ${misc:Depends},
Description: GNUstep framework for rendering PDF content (development files)
 PopplerKit is a GNUstep framework for accessing and rendering PDF content.  It
 is based on the poppler library.
 .
 Its features are:
   - Render PDF content.
   - Extract text from a PDF document.
   - Access a PDF document's outline.
   - Search in PDF documents.
 .
 This package contains the development files.

Package: libpopplerkit0
Architecture: any
Multi-Arch: same
Depends:
 fonts-urw-base35,
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNUstep framework for rendering PDF content (library files)
 PopplerKit is a GNUstep framework for accessing and rendering PDF content.  It
 is based on the poppler library.
 .
 Its features are:
   - Render PDF content.
   - Extract text from a PDF document.
   - Access a PDF document's outline.
   - Search in PDF documents.
 .
 This package contains the runtime libraries.
