=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--no-undefined

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(verbose) $(optim) \
	  $(shell dpkg-buildflags --export=cmdline) \
	  CFLAGS= CCFLAGS="$(CXXFLAGS)"

execute_before_dh_link:
	gsdh_gnustep
