=== debian/watch ===
Version: 5

# There are no releases of PopplerKit to track.
Source: https://people.debian.org/~eriberto/
Matching-Pattern: FakeWatchNoUpstreamSiteForThisPackage-(\d\S+)\.gz
Dversionmangle: s/.*/0.No-Site/
